Name:           renderdoc
Version:        0.33
Release:        %mkrel 3
Summary:        Stand-alone graphics API debugging tool for Vulkan and OpenGL
Group:          Development/Tools
License:        MIT
URL:            https://renderdoc.org
Source0:        https://github.com/baldurk/renderdoc/archive/v%{version}/%{name}-%{version}.tar.gz
# https://github.com/baldurk/renderdoc/pull/570
Patch0:         0001-Support-LIB_SUFFIX-for-lib64-using-distros.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-keysyms)

%description
RenderDoc is a free MIT licensed stand-alone graphics debugger that allows
quick and easy single-frame capture and detailed introspection of any
application using Vulkan, D3D11, OpenGL or D3D12 across Windows 7-10, Linux
or Android.

%prep
%autosetup -p1

%build
%cmake -DGIT_HASH="%{version}-official"
%make_build

%install
%make_install -C build

%files
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}cmd
%{_bindir}/q%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/menu/%{name}
%{_datadir}/mime/packages/%{name}-capture.xml
%{_datadir}/pixmaps/%{name}-icon-{16x16,32x32}.xpm
%{_datadir}/thumbnailers/%{name}.thumbnailer
%{_iconsdir}/hicolor/scalable/mimetypes/application-x-%{name}-capture.svg
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_sysconfdir}/vulkan/implicit_layer.d/%{name}_capture.json


%changelog
* Mon Apr 10 2017 akien <akien> 0.33-3.mga6
+ Revision: 1096232
- Fix version string in Qt UI

* Sun Apr 09 2017 akien <akien> 0.33-2.mga6
+ Revision: 1096223
- Fix library path in vulkan renderdoc_capture.json

* Sun Apr 09 2017 akien <akien> 0.33-1.mga6
+ Revision: 1096217
- imported package renderdoc

